org.apache.lucene.search.uhighlight

## Enum UnifiedHighlighter.OffsetSource

- java.lang.Object
- - java.lang.Enum<UnifiedHighlighter.OffsetSource>
  - - org.apache.lucene.search.uhighlight.UnifiedHighlighter.OffsetSource

- All Implemented Interfaces:
    Serializable, Comparable<UnifiedHighlighter.OffsetSource>
  Enclosing class:
    UnifiedHighlighter

      public static enum UnifiedHighlighter.OffsetSource
      extends Enum<UnifiedHighlighter.OffsetSource>

  Source of term offsets; essential for highlighting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANALYSIS`
    `NONE_NEEDED`
    `POSTINGS`
    `POSTINGS_WITH_TERM_VECTORS`
    `TERM_VECTORS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnifiedHighlighter.OffsetSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnifiedHighlighter.OffsetSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POSTINGS

          public static final UnifiedHighlighter.OffsetSource POSTINGS

    - #### TERM_VECTORS

          public static final UnifiedHighlighter.OffsetSource TERM_VECTORS

    - #### ANALYSIS

          public static final UnifiedHighlighter.OffsetSource ANALYSIS

    - #### POSTINGS_WITH_TERM_VECTORS

          public static final UnifiedHighlighter.OffsetSource POSTINGS_WITH_TERM_VECTORS

    - #### NONE_NEEDED

          public static final UnifiedHighlighter.OffsetSource NONE_NEEDED

  - ### Method Detail

    - #### values

          public static UnifiedHighlighter.OffsetSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnifiedHighlighter.OffsetSource c : UnifiedHighlighter.OffsetSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnifiedHighlighter.OffsetSource valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.